SFML 3.1.0
Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs
String.hpp File Reference
`#include <SFML/System/Export.hpp>`
`#include <SFML/System/Utf.hpp>`
`#include <locale>`
`#include <optional>`
`#include <string>`
`#include <string_view>`
`#include <cstddef>`
`#include <cstdint>`
`#include <SFML/System/String.inl>`

Go to the source code of this file.

## Classes
struct | sf::U8StringCharTraits
| Character traits for std::uint8_t. More...
class | sf::String
| Utility string class that automatically handles conversions between types and encodings. More...

## Namespaces
namespace | sf

## Typedefs
using | sf::U8String = std::basic_string<std::uint8_t, U8StringCharTraits>
| Portable replacement for std::basic_string<std::uint8_t>.